Subject: bug#15623: closed (Re: bug#15623: 24.3.50; History keys & tmm menu)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Oct 2013 18:25:03 +0000

Your bug report

#15623: 24.3.50; History keys & tmm menu

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15623: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15623
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15623: 24.3.50; History keys & tmm menu
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 16 Oct 2013 14:23:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

Lexical-binding fallout. Fixed.

Subject: 24.3.50; History keys & tmm menu
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Tue, 15 Oct 2013 21:04:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>From "emacs -Q":
  (menu-bar-mode 0)
  F10

At that moment, a *Completions* buffer appear with instructions about
how to select one menu item.

Well, when I try either the Up/Down keys or the History keys (M-p/M-n),
I can't navigate through the menu items as expected, and I get this
error message instead:

  Symbol's value as variable is void: history

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-10-14 on LEG570
Bzr revision: 114661 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

-- 
Dani Moncayo